
//Bezpieczne kopiowanie , uzycie funkcji strncpy!!!!!!!

#include<stdio.h>
#include<string.h>

bool obslugaStrncpy(const char* input);

int main(){
        int k;
        int i;
        bool a;
        char z[79];
                for (i=0; i<79; i++)
                        z[i]='A';

        a=obslugaStrncpy(z);
        printf("\n%d\n",a);
        scanf("%d",k);
        return 0;
}

bool obslugaStrncpy(const char* input)
{
        char buf[80];
                if(input == NULL)
                {
                        return false;
                }
        buf[sizeof(buf) - 1] = '\0';
        strncpy(buf, input, sizeof(buf));
                if(buf[sizeof(buf) - 1] != '\0')
                {
                        //przepełnienie
                        return false;
                }
        //… dalszy kod.
        return true;
}
